Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_debug_inspector_struct Struct Reference

## Data Fields
rb_thread_t * | th
rb_control_frame_t * | cfp
VALUE | backtrace
VALUE | contexts
long | backtrace_size

## Detailed Description

Definition at line 1026 of file vm_backtrace.c.

## Field Documentation

VALUE rb_debug_inspector_struct::backtrace

Definition at line 1029 of file vm_backtrace.c.

Referenced by rb_debug_inspector_backtrace_locations(), and rb_debug_inspector_open().

long rb_debug_inspector_struct::backtrace_size

Definition at line 1031 of file vm_backtrace.c.

Referenced by frame_get(), and rb_debug_inspector_open().

rb_control_frame_t* rb_debug_inspector_struct::cfp

Definition at line 1028 of file vm_backtrace.c.

Referenced by rb_debug_inspector_open().

VALUE rb_debug_inspector_struct::contexts

Definition at line 1030 of file vm_backtrace.c.

Referenced by frame_get(), and rb_debug_inspector_open().

rb_thread_t* rb_debug_inspector_struct::th

Definition at line 1027 of file vm_backtrace.c.

Referenced by rb_debug_inspector_open().

The documentation for this struct was generated from the following file:

- vm_backtrace.c